Need Help with upgrade to Wheezy

Discussion in 'HOWTO-Related Questions' started by ebart, Jan 5, 2014.

  1. ebart

    ebart New Member

    I've tried to upgrade squeeze to wheezy following Falko Timme "How To Upgrade Squeeze To Wheezy" except that after updating and upgrading squeeze
    I logged out from the VT because I don't like vi editor.
    I logged in X and used gedit to update source.list for wheeze.
    I've done it as sugested in mentioned HowTo.
    I've logged out X than logged in VT and done apt-get update, apt-get upgrade
    and apt-get dist-upgrade.
    Before reboot I've reinstaled grub following advise in one of comments.
    After reboot system started but it was not wheezy, it was squeeze a bit higher version.
    I had 6.0.3 now I have 6.0.8. I didn't know what to do I decided to do apt-get dist-upgrade
    once more. Nothing changed. Still I have squeeze. Besides it is a big mess in my system.
    Checking in aptitude I see 701 packets holded. Aptitude says their update will cause
    dependency breaking for other packets.
    Can anybody explain what I did wrong and what can I do to clear this mess?
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Most likely a wrong entry in sources.list or no dist-upgrade was run yet. Please post your sources.list file.
  3. ebart

    ebart New Member

    Problem resolved

    Thanks Till,
    I've managed to resolve the problem. I read upgrade guide once more.
    It reminded me thad I had the "Could not perform immediate configuration" error.
    I've made apt-get dist-upgrade -o APT::Immediate-Configure=0 and I succeeded.

Share This Page